Error Gradle de un código fuente abierto

Intenté volver a usar y el código existente formó github:

https://github.com/demantz/RFAnalyzer

Lo abriré con Android Studio e importaré el proyecto (como se dice en la página de git). Estoy experimentando algunos problemas con Gradle con los que no estoy familiarizado.

Al principio, Android Studio me dice que la versión gradle utilizada en el proyecto debe actualizarse:

1.12 -> 1.3.

Y luego tengo un post que dice que "el método gradle dsl no se encuentra 'jcenter ()'"

Gracias por adelantado.

JCenter ( jcenter() ) fue presentado por Gradle 1.7 .
Consulte el soporte del repository Gradle 1.7 JCenter .

Asegúrese de actualizar su Gradle a al less 1.7.
Consulte " cómo verificar la versión Gradle en mi Android Studio ".

 File->Project Structure->Project pane->"Android plugin version". 

Asegúrese de no confundir la versión de Gradle con la versión del complemento de Android.
El primero es el sistema de compilation en sí, este último es el complemento para el sistema de compilation que sabe cómo crear proyectos de Android